@font-face {
    font-family: iranyekan;
    font-style: normal;
    font-weight: bold;
    src: url('../fonts/iranyekan/eot/iranyekanwebbold(fanum).eot');
    src: url('../fonts/iranyekan/eot/iranyekanwebbold(fanum).eot?#iefix') format('embedded-opentype'),
        /* IE6-8 */
        url('../fonts/iranyekan/woff2/iranyekanwebbold(fanum).woff2') format('woff2'),
        /* FF39+,Chrome36+, Opera24+*/
        url('../fonts/iranyekan/woff/iranyekanwebbold(fanum).woff') format('woff'),
        /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
        url('../fonts/iranyekan/ttf/iranyekanwebbold(fanum).ttf') format('truetype');
}

@font-face {
    font-family: iranyekan;
    font-style: normal;
    font-weight: 300;
    src: url('../fonts/iranyekan/eot/iranyekanweblight(fanum).eot');
    src: url('../fonts/iranyekan/eot/iranyekanweblight(fanum).eot?#iefix') format('embedded-opentype'),
        /* IE6-8 */
        url('../fonts/iranyekan/woff2/iranyekanweblight(fanum).woff2') format('woff2'),
        /* FF39+,Chrome36+, Opera24+*/
        url('../fonts/iranyekan/woff/iranyekanweblight(fanum).woff') format('woff'),
        /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
        url('../fonts/iranyekan/ttf/iranyekanweblight(fanum).ttf') format('truetype');
}

@font-face {
    font-family: iranyekan;
    font-style: normal;
    font-weight: normal;
    src: url('../fonts/iranyekan/eot/iranyekanwebregular(fanum).eot');
    src: url('../fonts/iranyekan/eot/iranyekanwebregular(fanum).eot?#iefix') format('embedded-opentype'),
        /* IE6-8 */
        url('../fonts/iranyekan/woff2/iranyekanwebregular(fanum).woff2') format('woff2'),
        /* FF39+,Chrome36+, Opera24+*/
        url('../fonts/iranyekan/woff/iranyekanwebregular(fanum).woff') format('woff'),
        /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
        url('../fonts/iranyekan/ttf/iranyekanwebregular(fanum).ttf') format('truetype');
}

html,
body {
    height: 100%;
    font-family: iranyekan;
}

body {
    font-size: 16px;
    direction: rtl;
    text-align: right;
}

h1,
h2,
h3,
h4,
h5,
h6,
ul,
li,
p {
    margin: 0;
    padding: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 400;
    color: #666666;
}

h1 {
    font-size: 36px;
    line-height: 44px;
}

h2 {
    line-height: 36px;
    font-size: 26px;
    font-weight: bold;
    color: #000;
}

h3 {
    font-size: 24px;
    line-height: 29px;
}

h4 {
    font-size: 21px;
    line-height: 26px;
}

h5 {
    font-size: 18px;
    line-height: 22px;
}

h6 {
    font-size: 16px;
    line-height: 20px;
}

p {
    font-size: 16px;
    line-height: 22px;
    color: #777777;
    letter-spacing: 0.2px;
}

div:active,
div:focus,
div:visited,
a:active,
a:focus,
a:visited {
    outline: 0;
}

a {
    transition: 200ms ease-in-out;
}

.table {
    margin-bottom: 0;
}

.table>thead>tr>th {
    color: #666666;
    border-bottom: 1px solid #e9e9e9;
    text-align: right;
}

.table>tbody>tr>td {
    color: #777777;
    padding: 12px 8px;
    border-color: #f1f1f1;
}

.form-group {
    margin-bottom: 20px;
}

.form-horizontal .control-label {
    font-size: 15px;
    padding-top: 8px;
    text-align: right;
}

.control-label>span {
    color: #fc4b4b;
}

.form-control {
    border-color: #d9d9d9;
    border-radius: 3px;
    box-shadow: none;
    height: 40px;
    text-align: left;
    direction: ltr;
    transition: 200ms ease-in-out;
}

.form-control:focus {
    box-shadow: none;
    border-color: #2196f3;
}

.help-block {
    font-size: 14px;
    margin-bottom: 5px;
}

.has-error .control-label,
.has-error .help-block {
    color: #ff3366;
}

.has-error .form-control {
    border-color: #ff3366;
}

.has-error .form-control:focus {
    box-shadow: none;
    border-color: #ff3366;
}

label {
    color: #666666;
}

.custom-select-black {
    appearance: none;
    -webkit-appearance: none;
    background: transparent url('../../public/modules/admin/images/arrow-black.png') no-repeat right 8px center;
    background-size: 10px;
}

.alert {
    border: none;
    border-radius: 3px;
    color: #ffffff;
}

.alert .close {
    color: #ffffff;
    opacity: 0.7;
    text-shadow: none;
    transition: 200ms ease-in-out;
}

.alert .close:hover {
    opacity: 1;
}

.alert-danger {
    background: #ff5252;
}

.alert .close>i {
    -webkit-text-stroke: 2px #ff5252;
}

.btn {
    font-size: 16px;
    border: 1px solid;
    padding: 9px 20px;
    border-radius: 12px;
    background: transparent;
    color: #555555;
    letter-spacing: 0.2px;
    transition: 200ms ease-in-out;
    outline: 0 !important;
}

.btn-primary {
    background: #2196f3;
    color: #ffffff;
    border-color: #2196f3;
}

.btn-primary:active,
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active:focus {
    background: #1976d2;
    border-color: #1976d2;
}

.btn-primary.disabled,
.btn-primary[disabled] {
    opacity: 0.6;
}

/* modal */
.modal {
    text-align: center;
    padding-right: 0 !important;
}

.modal .modal-dialog {
    top: 50%;
    width: 500px;
    display: inline-block;
    margin: auto;
    vertical-align: middle;
    transform: translate(0, -50%) scale(0.8);
}

.modal .content {
    float: none;
    margin: 0 auto;
    padding: 0;
    overflow: visible !important;
    box-shadow: 0 2px 5px 0 #555555;
}

.modal .modal-body {
    margin-right: -1px;
}

.modal.fade .modal-dialog {
    opacity: 0;
    transform: translate(0, -50%) scale(0.8);
    transition: 200ms ease-in-out;
}

.modal.fade.in .modal-dialog {
    opacity: 1;
    transform: translate(0, -50%) scale(1);
}

.modal-backdrop.in {
    opacity: 0.7;
}

.col-sm-1,
.col-sm-10,
.col-sm-11,
.col-sm-12,
.col-sm-2,
.col-sm-3,
.col-sm-4,
.col-sm-5,
.col-sm-6,
.col-sm-7,
.col-sm-8,
.col-sm-9 {
    float: right;
}

/* installer */

.installer-wrapper {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.installer-wrapper::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100vh;
    opacity: 0.6;
    background: url(../../img/theme/bg-install.svg) no-repeat;
    background-size: contain;
    background-position: right;
    z-index: -1;
}

.installer-wrapper>.wrapper {
    height: 500px;
    width: 900px;
    background: #ffffff;
    overflow: hidden;
    border: 1px solid #2196f3;
    -webkit-box-shadow: 5px -4px 10px rgba(0, 0, 0, 0.08);
    -moz-box-shadow: 5px -4px 10px rgba(0, 0, 0, 0.08);
    box-shadow: 5px -4px 10px rgba(0, 0, 0, 0.08);
    -webkit-box-shadow: -5px 4px 10px rgba(0, 0, 0, 0.08);
    -moz-box-shadow: -5px 4px 10px rgba(0, 0, 0, 0.08);
    box-shadow: -5px 4px 10px rgba(0, 0, 0, 0.08);
}

.left-sidebar {
    height: 500px;
    width: 28%;
    background: #2196f3;
    float: right;
    position: relative;
}

.left-sidebar::before {
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 80px;
    background: url(../../img/theme/copyright.png) no-repeat;
    background-position: center;
    opacity: 0.3;
}

.left-sidebar>.list-inline {
    margin: 25px 0 0;
    padding: 0 30px;
}

.left-sidebar li {
    position: relative;
    display: block;
    float: none;
    color: #f1f1f1;
    padding: 8px 0 8px 30px;
    cursor: default;
}

.left-sidebar li:after {
    position: absolute;
    content: "";
    left: 0;
    top: 9px;
    height: 20px;
    width: 20px;
    text-align: center;
    background: #81d2f6;
    border-radius: 50%;
}

.left-sidebar li.active {
    font-weight: 600;
    color: #ffffff;
}

.left-sidebar li.active:before {
    position: absolute;
    content: "";
    left: 6px;
    top: 15px;
    height: 8px;
    width: 8px;
    background: #fafafa;
    border-radius: 50%;
    z-index: 1;
}

.left-sidebar li.complete:after {
    position: absolute;
    font-family: FontAwesome;
    font-size: 15px;
    content: "\f00c";
    color: #ffffff;
    -webkit-text-stroke: 0.5px #81d2f6;
}

.content-wrapper {
    width: 72%;
    float: left;
}

.content-wrapper>.content {
    height: 434px;
    margin: 33px 0;
    padding: 0 30px;
    overflow: auto;
}

.box {
    margin-top: 30px;
}

.box>p {
    margin-bottom: 12px;
}

.box .table tr>td:last-child>i {
    font-size: 20px;
    -webkit-text-stroke: 1px #ffffff;
}

.box .table tr>td>i.fa-check {
    color: #37bc9b;
}

.box .table tr>td>i.fa-times {
    color: #fc4b4b;
}

.installation-message {
    margin: 30px 0;
}

.installation-message>i {
    font-size: 80px;
    color: #37bc9b;
    -webkit-text-stroke: 7px #ffffff;
}

.visit {
    display: block;
    background: #f1f4f9;
    padding: 40px 0;
    border-radius: 3px;
    border: 1px solid transparent;
    transition: 200ms ease-in-out;
}

.visit:active,
.visit:hover,
.visit:focus {
    text-decoration: none;
}

.visit .icon {
    display: block;
    text-align: center;
    margin-bottom: 10px;
}

.visit .icon>i {
    font-size: 48px;
    color: #626060;
    -webkit-text-stroke: 1px #f5f5f5;
    transition: 200ms ease-in-out;
}

.visit:hover {
    border-color: rgba(49, 98, 159, 0.2);
}

.visit:hover .icon>i {
    color: #31629f;
}

.content-buttons {
    padding-top: 20px;
    border-top: 1px solid #d9d9d9;
}

.p-b-0 {
    padding-bottom: 0;
}

.btn-loading {
    position: relative;
    color: transparent !important;
}

.btn-loading:after {
    position: absolute;
    content: "";
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    height: 16px;
    width: 16px;
    border: 2px solid #ffffff;
    border-radius: 100%;
    border-right-color: transparent;
    border-top-color: transparent;
    animation: spinAround 600ms infinite linear;
}

.btn-loading.btn-default:after {
    border: 2px solid #0068e1;
    border-right-color: transparent;
    border-top-color: transparent;
}

.footer-license {
    margin-top: 20px;
}

.footer-license h3 {
    display: inline-block
}

.footer-license p {
    font-size: 13px;
    margin-bottom: 10px;
}

.footer-license p a {
    font-weight: bold;
    font-size: 14px;
}

.footer-license a {
    text-decoration: none;
    color: #2196f3;
}

.footer-license a:hover {
    text-decoration: none;
    color: #f44336;
}

.footer-license a.text-center {
    display: block;
    text-align: center;
}

.warning-message {
    margin: 10rem 0 0;
}

.warning-message i {
    font-size: 154px;
    display: block;
    color: #dadada;
}

.message-light {
    font-size: 14px;
    line-height: 2;
    padding: 15px 0 20px 20px;
    position: relative;
    border-radius: 5px;
    line-height: 22px;
    margin: 15px 0 15px 25px;
    text-align: right;
}

.warning-message ul {
    list-style: circle;
    padding-right: 40px;
    margin-top: 10px;
}

.copyToken {
    position: relative;
    float: right;
    width: 100%;
    margin-bottom: 10px;
}
   
.copyToken input {
    background: none;
    border: 1px solid #efefef;
    border-radius: 6px;
    color: #a9a9a9;
    font-size: 20px;
    line-height: 1.294;
    height: 50px;
    padding: 10px;
    width: 100%;
    letter-spacing: -.4px;
    direction: ltr;
    outline: none;
    margin-top: 12px;
    font-family: monospace;
}

.copyToken button {
    position: absolute;
    right: 15px;
    top: 22px;
    z-index: 2;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    border: 0;
    background-color: #6f7285;
    outline: none;
    cursor: pointer;
    padding: 0;
}

.copyToken button img {
    width: 18px;
    max-width: unset;
    position: absolute;
    top: 6px;
    right: 6px;
}

@keyframes spinAround {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(359deg);
    }
}

@media screen and (max-width: 991px) {
    .left-sidebar {
        border-right: none;
    }
}

@media screen and (max-width: 940px) {

    html,
    body {
        height: auto;
    }

    .installer-wrapper {
        height: auto;
        padding: 15px;
    }

    .installer-wrapper>.wrapper {
        height: auto;
        width: 100%;
    }

    .left-sidebar {
        height: auto;
        width: 100%;
        float: none;
    }

    .left-sidebar>.list-inline {
        margin-bottom: 25px;
    }

    .content-wrapper {
        width: 100%;
        float: none;
    }

    .content-wrapper>.content {
        height: auto;
    }
}

@media screen and (max-width: 767px) {
    .table-responsive {
        border: none;
        margin-bottom: 0;
    }

    .form-horizontal .control-label {
        padding-top: 0;
    }

    .configure-form {
        padding-top: 15px;
    }

    .visit-wrapper>.row>.col-sm-6:last-child>.visit {
        margin-top: 30px;
    }
}